mailutils reintrodued Debian Bug#391031, postgresql support is missing again

Bug #1753994 reported by Michael Neuffer
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mailutils (Ubuntu)
Undecided
Unassigned

Bug Description

mailutils reintrodued Debian Bug#391031, postgresql support is missing again

mailutils supports Postgresql, ODBC and Mysql, but again only depends on mysql (libmysqlclient20 (>= 5.7.11))

It should be compiled against and suggests/recommend all three DB interfaces.
Hard dependencys needlessly enforces the installation of database systems that are most likely not used, pollutes installations and increases the attack surface.

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: mailutils 1:3.4-1
ProcVersionSignature: Ubuntu 4.15.0-10.11-generic 4.15.3
Uname: Linux 4.15.0-10-generic x86_64
NonfreeKernelModules: nvidia_modeset nvidia
ApportVersion: 2.20.8-0ubuntu10
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Wed Mar 7 11:47:41 2018
InstallationDate: Installed on 2018-02-28 (6 days ago)
InstallationMedia: Xubuntu 17.10 "Artful Aardvark" - Release amd64 (20180105)
SourcePackage: mailutils
UpgradeStatus: No upgrade log present (probably fresh install)

Revision history for this message
Michael Neuffer (neuffer) wrote :
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers